% rutero para responder preg.3, tema 4, test 1, S2-2012
A = [1 2 -1 0;2 8 4 -2;-1 4 19 9;0 -2 9 26];

[L, p] = chol(A,'lower');
if ~p
    % A es spd
    disp('A es spd');
    [p,IL] = inversatriangularinferior(L);
    IL(2,2)
    IL(4,4)
else
    disp('no es spd')
end